Package org.gdal.gdalconst

## Interface gdalconstConstants

- All Known Implementing Classes:
    `gdalconst`

      public interface gdalconstConstants

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `CE_Debug` |
    `static int` | `CE_Failure` |
    `static int` | `CE_Fatal` |
    `static int` | `CE_None` |
    `static int` | `CE_Warning` |
    `static int` | `CPLE_AppDefined` |
    `static int` | `CPLE_AssertionFailed` |
    `static int` | `CPLE_AWSAccessDenied` |
    `static int` | `CPLE_AWSBucketNotFound` |
    `static int` | `CPLE_AWSInvalidCredentials` |
    `static int` | `CPLE_AWSObjectNotFound` |
    `static int` | `CPLE_AWSSignatureDoesNotMatch` |
    `static int` | `CPLE_FileIO` |
    `static int` | `CPLE_HttpResponse` |
    `static int` | `CPLE_IllegalArg` |
    `static int` | `CPLE_None` |
    `static int` | `CPLE_NotSupported` |
    `static int` | `CPLE_NoWriteAccess` |
    `static int` | `CPLE_ObjectNull` |
    `static int` | `CPLE_OpenFailed` |
    `static int` | `CPLE_OutOfMemory` |
    `static int` | `CPLE_UserInterrupt` |
    `static int` | `CPLES_BackslashQuotable` |
    `static int` | `CPLES_CSV` |
    `static int` | `CPLES_SQL` |
    `static int` | `CPLES_URL` |
    `static int` | `CPLES_XML` |
    `static int` | `CXT_Attribute` |
    `static int` | `CXT_Comment` |
    `static int` | `CXT_Element` |
    `static int` | `CXT_Literal` |
    `static int` | `CXT_Text` |
    `static java.lang.String` | `DCAP_DEFAULT_FIELDS` |
    `static java.lang.String` | `DCAP_NOTNULL_FIELDS` |
    `static java.lang.String` | `DCAP_NOTNULL_GEOMFIELDS` |
    `static java.lang.String` | `DCAP_RASTER` |
    `static java.lang.String` | `DCAP_UNIQUE_FIELDS` |
    `static java.lang.String` | `DCAP_VECTOR` |
    `static java.lang.String` | `DIM_TYPE_HORIZONTAL_X` |
    `static java.lang.String` | `DIM_TYPE_HORIZONTAL_Y` |
    `static java.lang.String` | `DIM_TYPE_PARAMETRIC` |
    `static java.lang.String` | `DIM_TYPE_TEMPORAL` |
    `static java.lang.String` | `DIM_TYPE_VERTICAL` |
    `static java.lang.String` | `DMD_CONNECTION_PREFIX` |
    `static int` | `GA_ReadOnly` |
    `static int` | `GA_Update` |
    `static int` | `GARIO_COMPLETE` |
    `static int` | `GARIO_ERROR` |
    `static int` | `GARIO_PENDING` |
    `static int` | `GARIO_UPDATE` |
    `static int` | `GCI_AlphaBand` |
    `static int` | `GCI_BlackBand` |
    `static int` | `GCI_BlueBand` |
    `static int` | `GCI_CyanBand` |
    `static int` | `GCI_GrayIndex` |
    `static int` | `GCI_GreenBand` |
    `static int` | `GCI_HueBand` |
    `static int` | `GCI_LightnessBand` |
    `static int` | `GCI_MagentaBand` |
    `static int` | `GCI_PaletteIndex` |
    `static int` | `GCI_RedBand` |
    `static int` | `GCI_SaturationBand` |
    `static int` | `GCI_Undefined` |
    `static int` | `GCI_YCbCr_CbBand` |
    `static int` | `GCI_YCbCr_CrBand` |
    `static int` | `GCI_YCbCr_YBand` |
    `static int` | `GCI_YellowBand` |
    `static int` | `GDAL_DATA_COVERAGE_STATUS_DATA` |
    `static int` | `GDAL_DATA_COVERAGE_STATUS_EMPTY` |
    `static int` | `GDAL_DATA_COVERAGE_STATUS_UNIMPLEMENTED` |
    `static java.lang.String` | `GDAL_DCAP_CREATE` |
    `static java.lang.String` | `GDAL_DCAP_CREATECOPY` |
    `static java.lang.String` | `GDAL_DCAP_OPEN` |
    `static java.lang.String` | `GDAL_DCAP_VIRTUALIO` |
    `static java.lang.String` | `GDAL_DMD_CREATIONDATATYPES` |
    `static java.lang.String` | `GDAL_DMD_CREATIONFIELDDATATYPES` |
    `static java.lang.String` | `GDAL_DMD_CREATIONOPTIONLIST` |
    `static java.lang.String` | `GDAL_DMD_EXTENSION` |
    `static java.lang.String` | `GDAL_DMD_EXTENSIONS` |
    `static java.lang.String` | `GDAL_DMD_HELPTOPIC` |
    `static java.lang.String` | `GDAL_DMD_LONGNAME` |
    `static java.lang.String` | `GDAL_DMD_MIMETYPE` |
    `static java.lang.String` | `GDAL_DMD_SUBDATASETS` |
    `static int` | `GDT_Byte` |
    `static int` | `GDT_CFloat32` |
    `static int` | `GDT_CFloat64` |
    `static int` | `GDT_CInt16` |
    `static int` | `GDT_CInt32` |
    `static int` | `GDT_Float32` |
    `static int` | `GDT_Float64` |
    `static int` | `GDT_Int16` |
    `static int` | `GDT_Int32` |
    `static int` | `GDT_TypeCount` |
    `static int` | `GDT_UInt16` |
    `static int` | `GDT_UInt32` |
    `static int` | `GDT_Unknown` |
    `static int` | `GF_Read` |
    `static int` | `GF_Write` |
    `static int` | `GFT_Integer` |
    `static int` | `GFT_Real` |
    `static int` | `GFT_String` |
    `static int` | `GFU_Alpha` |
    `static int` | `GFU_AlphaMax` |
    `static int` | `GFU_AlphaMin` |
    `static int` | `GFU_Blue` |
    `static int` | `GFU_BlueMax` |
    `static int` | `GFU_BlueMin` |
    `static int` | `GFU_Generic` |
    `static int` | `GFU_Green` |
    `static int` | `GFU_GreenMax` |
    `static int` | `GFU_GreenMin` |
    `static int` | `GFU_Max` |
    `static int` | `GFU_MaxCount` |
    `static int` | `GFU_Min` |
    `static int` | `GFU_MinMax` |
    `static int` | `GFU_Name` |
    `static int` | `GFU_PixelCount` |
    `static int` | `GFU_Red` |
    `static int` | `GFU_RedMax` |
    `static int` | `GFU_RedMin` |
    `static int` | `GMF_ALL_VALID` |
    `static int` | `GMF_ALPHA` |
    `static int` | `GMF_NODATA` |
    `static int` | `GMF_PER_DATASET` |
    `static int` | `GPI_CMYK` |
    `static int` | `GPI_Gray` |
    `static int` | `GPI_HLS` |
    `static int` | `GPI_RGB` |
    `static int` | `GRA_Average` |
    `static int` | `GRA_Bilinear` |
    `static int` | `GRA_Cubic` |
    `static int` | `GRA_CubicSpline` |
    `static int` | `GRA_Lanczos` |
    `static int` | `GRA_Max` |
    `static int` | `GRA_Med` |
    `static int` | `GRA_Min` |
    `static int` | `GRA_Mode` |
    `static int` | `GRA_NearestNeighbour` |
    `static int` | `GRA_Q1` |
    `static int` | `GRA_Q3` |
    `static int` | `GRIORA_Average` |
    `static int` | `GRIORA_Bilinear` |
    `static int` | `GRIORA_Cubic` |
    `static int` | `GRIORA_CubicSpline` |
    `static int` | `GRIORA_Gauss` |
    `static int` | `GRIORA_Lanczos` |
    `static int` | `GRIORA_Mode` |
    `static int` | `GRIORA_NearestNeighbour` |
    `static int` | `GRTT_ATHEMATIC` |
    `static int` | `GRTT_THEMATIC` |
    `static int` | `GTO_BIT` |
    `static int` | `GTO_BSQ` |
    `static int` | `GTO_TIP` |
    `static int` | `OF_ALL` |
    `static int` | `OF_GNM` |
    `static int` | `OF_MULTIDIM_RASTER` |
    `static int` | `OF_RASTER` |
    `static int` | `OF_READONLY` |
    `static int` | `OF_SHARED` |
    `static int` | `OF_UPDATE` |
    `static int` | `OF_VECTOR` |
    `static int` | `OF_VERBOSE_ERROR` |

- - ### Field Detail

    - #### GDT_Unknown

          static final int GDT_Unknown

    - #### GDT_Byte

          static final int GDT_Byte

    - #### GDT_UInt16

          static final int GDT_UInt16

    - #### GDT_Int16

          static final int GDT_Int16

    - #### GDT_UInt32

          static final int GDT_UInt32

    - #### GDT_Int32

          static final int GDT_Int32

    - #### GDT_Float32

          static final int GDT_Float32

    - #### GDT_Float64

          static final int GDT_Float64

    - #### GDT_CInt16

          static final int GDT_CInt16

    - #### GDT_CInt32

          static final int GDT_CInt32

    - #### GDT_CFloat32

          static final int GDT_CFloat32

    - #### GDT_CFloat64

          static final int GDT_CFloat64

    - #### GDT_TypeCount

          static final int GDT_TypeCount

    - #### GA_ReadOnly

          static final int GA_ReadOnly

    - #### GA_Update

          static final int GA_Update

    - #### GF_Read

          static final int GF_Read

    - #### GF_Write

          static final int GF_Write

    - #### GRIORA_NearestNeighbour

          static final int GRIORA_NearestNeighbour

    - #### GRIORA_Bilinear

          static final int GRIORA_Bilinear

    - #### GRIORA_Cubic

          static final int GRIORA_Cubic

    - #### GRIORA_CubicSpline

          static final int GRIORA_CubicSpline

    - #### GRIORA_Lanczos

          static final int GRIORA_Lanczos

    - #### GRIORA_Average

          static final int GRIORA_Average

    - #### GRIORA_Mode

          static final int GRIORA_Mode

    - #### GRIORA_Gauss

          static final int GRIORA_Gauss

    - #### GCI_Undefined

          static final int GCI_Undefined

    - #### GCI_GrayIndex

          static final int GCI_GrayIndex

    - #### GCI_PaletteIndex

          static final int GCI_PaletteIndex

    - #### GCI_RedBand

          static final int GCI_RedBand

    - #### GCI_GreenBand

          static final int GCI_GreenBand

    - #### GCI_BlueBand

          static final int GCI_BlueBand

    - #### GCI_AlphaBand

          static final int GCI_AlphaBand

    - #### GCI_HueBand

          static final int GCI_HueBand

    - #### GCI_SaturationBand

          static final int GCI_SaturationBand

    - #### GCI_LightnessBand

          static final int GCI_LightnessBand

    - #### GCI_CyanBand

          static final int GCI_CyanBand

    - #### GCI_MagentaBand

          static final int GCI_MagentaBand

    - #### GCI_YellowBand

          static final int GCI_YellowBand

    - #### GCI_BlackBand

          static final int GCI_BlackBand

    - #### GCI_YCbCr_YBand

          static final int GCI_YCbCr_YBand

    - #### GCI_YCbCr_CrBand

          static final int GCI_YCbCr_CrBand

    - #### GCI_YCbCr_CbBand

          static final int GCI_YCbCr_CbBand

    - #### GRA_NearestNeighbour

          static final int GRA_NearestNeighbour

    - #### GRA_Bilinear

          static final int GRA_Bilinear

    - #### GRA_Cubic

          static final int GRA_Cubic

    - #### GRA_CubicSpline

          static final int GRA_CubicSpline

    - #### GRA_Lanczos

          static final int GRA_Lanczos

    - #### GRA_Average

          static final int GRA_Average

    - #### GRA_Mode

          static final int GRA_Mode

    - #### GRA_Max

          static final int GRA_Max

    - #### GRA_Min

          static final int GRA_Min

    - #### GRA_Med

          static final int GRA_Med

    - #### GRA_Q1

          static final int GRA_Q1

    - #### GRA_Q3

          static final int GRA_Q3

    - #### GPI_Gray

          static final int GPI_Gray

    - #### GPI_RGB

          static final int GPI_RGB

    - #### GPI_CMYK

          static final int GPI_CMYK

    - #### GPI_HLS

          static final int GPI_HLS

    - #### CXT_Element

          static final int CXT_Element

    - #### CXT_Text

          static final int CXT_Text

    - #### CXT_Attribute

          static final int CXT_Attribute

    - #### CXT_Comment

          static final int CXT_Comment

    - #### CXT_Literal

          static final int CXT_Literal

    - #### CE_None

          static final int CE_None

    - #### CE_Debug

          static final int CE_Debug

    - #### CE_Warning

          static final int CE_Warning

    - #### CE_Failure

          static final int CE_Failure

    - #### CE_Fatal

          static final int CE_Fatal

    - #### CPLE_None

          static final int CPLE_None

    - #### CPLE_AppDefined

          static final int CPLE_AppDefined

    - #### CPLE_OutOfMemory

          static final int CPLE_OutOfMemory

    - #### CPLE_FileIO

          static final int CPLE_FileIO

    - #### CPLE_OpenFailed

          static final int CPLE_OpenFailed

    - #### CPLE_IllegalArg

          static final int CPLE_IllegalArg

    - #### CPLE_NotSupported

          static final int CPLE_NotSupported

    - #### CPLE_AssertionFailed

          static final int CPLE_AssertionFailed

    - #### CPLE_NoWriteAccess

          static final int CPLE_NoWriteAccess

    - #### CPLE_UserInterrupt

          static final int CPLE_UserInterrupt

    - #### CPLE_ObjectNull

          static final int CPLE_ObjectNull

    - #### CPLE_HttpResponse

          static final int CPLE_HttpResponse

    - #### CPLE_AWSBucketNotFound

          static final int CPLE_AWSBucketNotFound

    - #### CPLE_AWSObjectNotFound

          static final int CPLE_AWSObjectNotFound

    - #### CPLE_AWSAccessDenied

          static final int CPLE_AWSAccessDenied

    - #### CPLE_AWSInvalidCredentials

          static final int CPLE_AWSInvalidCredentials

    - #### CPLE_AWSSignatureDoesNotMatch

          static final int CPLE_AWSSignatureDoesNotMatch

    - #### OF_ALL

          static final int OF_ALL

    - #### OF_RASTER

          static final int OF_RASTER

    - #### OF_VECTOR

          static final int OF_VECTOR

    - #### OF_GNM

          static final int OF_GNM

    - #### OF_MULTIDIM_RASTER

          static final int OF_MULTIDIM_RASTER

    - #### OF_READONLY

          static final int OF_READONLY

    - #### OF_UPDATE

          static final int OF_UPDATE

    - #### OF_SHARED

          static final int OF_SHARED

    - #### OF_VERBOSE_ERROR

          static final int OF_VERBOSE_ERROR

    - #### GDAL_DMD_LONGNAME

          static final java.lang.String GDAL_DMD_LONGNAME

    - #### GDAL_DMD_HELPTOPIC

          static final java.lang.String GDAL_DMD_HELPTOPIC

    - #### GDAL_DMD_MIMETYPE

          static final java.lang.String GDAL_DMD_MIMETYPE

    - #### GDAL_DMD_EXTENSION

          static final java.lang.String GDAL_DMD_EXTENSION

    - #### GDAL_DMD_EXTENSIONS

          static final java.lang.String GDAL_DMD_EXTENSIONS

    - #### DMD_CONNECTION_PREFIX

          static final java.lang.String DMD_CONNECTION_PREFIX

    - #### GDAL_DMD_CREATIONOPTIONLIST

          static final java.lang.String GDAL_DMD_CREATIONOPTIONLIST

    - #### GDAL_DMD_CREATIONDATATYPES

          static final java.lang.String GDAL_DMD_CREATIONDATATYPES

    - #### GDAL_DMD_CREATIONFIELDDATATYPES

          static final java.lang.String GDAL_DMD_CREATIONFIELDDATATYPES

    - #### GDAL_DMD_SUBDATASETS

          static final java.lang.String GDAL_DMD_SUBDATASETS

    - #### GDAL_DCAP_OPEN

          static final java.lang.String GDAL_DCAP_OPEN

    - #### GDAL_DCAP_CREATE

          static final java.lang.String GDAL_DCAP_CREATE

    - #### GDAL_DCAP_CREATECOPY

          static final java.lang.String GDAL_DCAP_CREATECOPY

    - #### GDAL_DCAP_VIRTUALIO

          static final java.lang.String GDAL_DCAP_VIRTUALIO

    - #### DCAP_RASTER

          static final java.lang.String DCAP_RASTER

    - #### DCAP_VECTOR

          static final java.lang.String DCAP_VECTOR

    - #### DCAP_NOTNULL_FIELDS

          static final java.lang.String DCAP_NOTNULL_FIELDS

    - #### DCAP_DEFAULT_FIELDS

          static final java.lang.String DCAP_DEFAULT_FIELDS

    - #### DCAP_NOTNULL_GEOMFIELDS

          static final java.lang.String DCAP_NOTNULL_GEOMFIELDS

    - #### DCAP_UNIQUE_FIELDS

          static final java.lang.String DCAP_UNIQUE_FIELDS

    - #### DIM_TYPE_HORIZONTAL_X

          static final java.lang.String DIM_TYPE_HORIZONTAL_X

    - #### DIM_TYPE_HORIZONTAL_Y

          static final java.lang.String DIM_TYPE_HORIZONTAL_Y

    - #### DIM_TYPE_VERTICAL

          static final java.lang.String DIM_TYPE_VERTICAL

    - #### DIM_TYPE_TEMPORAL

          static final java.lang.String DIM_TYPE_TEMPORAL

    - #### DIM_TYPE_PARAMETRIC

          static final java.lang.String DIM_TYPE_PARAMETRIC

    - #### CPLES_BackslashQuotable

          static final int CPLES_BackslashQuotable

    - #### CPLES_XML

          static final int CPLES_XML

    - #### CPLES_URL

          static final int CPLES_URL

    - #### CPLES_SQL

          static final int CPLES_SQL

    - #### CPLES_CSV

          static final int CPLES_CSV

    - #### GFT_Integer

          static final int GFT_Integer

    - #### GFT_Real

          static final int GFT_Real

    - #### GFT_String

          static final int GFT_String

    - #### GFU_Generic

          static final int GFU_Generic

    - #### GFU_PixelCount

          static final int GFU_PixelCount

    - #### GFU_Name

          static final int GFU_Name

    - #### GFU_Min

          static final int GFU_Min

    - #### GFU_Max

          static final int GFU_Max

    - #### GFU_MinMax

          static final int GFU_MinMax

    - #### GFU_Red

          static final int GFU_Red

    - #### GFU_Green

          static final int GFU_Green

    - #### GFU_Blue

          static final int GFU_Blue

    - #### GFU_Alpha

          static final int GFU_Alpha

    - #### GFU_RedMin

          static final int GFU_RedMin

    - #### GFU_GreenMin

          static final int GFU_GreenMin

    - #### GFU_BlueMin

          static final int GFU_BlueMin

    - #### GFU_AlphaMin

          static final int GFU_AlphaMin

    - #### GFU_RedMax

          static final int GFU_RedMax

    - #### GFU_GreenMax

          static final int GFU_GreenMax

    - #### GFU_BlueMax

          static final int GFU_BlueMax

    - #### GFU_AlphaMax

          static final int GFU_AlphaMax

    - #### GFU_MaxCount

          static final int GFU_MaxCount

    - #### GRTT_THEMATIC

          static final int GRTT_THEMATIC

    - #### GRTT_ATHEMATIC

          static final int GRTT_ATHEMATIC

    - #### GMF_ALL_VALID

          static final int GMF_ALL_VALID

    - #### GMF_PER_DATASET

          static final int GMF_PER_DATASET

    - #### GMF_ALPHA

          static final int GMF_ALPHA

    - #### GMF_NODATA

          static final int GMF_NODATA

    - #### GDAL_DATA_COVERAGE_STATUS_UNIMPLEMENTED

          static final int GDAL_DATA_COVERAGE_STATUS_UNIMPLEMENTED

    - #### GDAL_DATA_COVERAGE_STATUS_DATA

          static final int GDAL_DATA_COVERAGE_STATUS_DATA

    - #### GDAL_DATA_COVERAGE_STATUS_EMPTY

          static final int GDAL_DATA_COVERAGE_STATUS_EMPTY

    - #### GARIO_PENDING

          static final int GARIO_PENDING

    - #### GARIO_UPDATE

          static final int GARIO_UPDATE

    - #### GARIO_ERROR

          static final int GARIO_ERROR

    - #### GARIO_COMPLETE

          static final int GARIO_COMPLETE

    - #### GTO_TIP

          static final int GTO_TIP

    - #### GTO_BIT

          static final int GTO_BIT

    - #### GTO_BSQ

          static final int GTO_BSQ